Bug 1060602 (CVE-2014-0039) - CVE-2014-0039 fwsnort: configuration file can be loaded from cwd when run as a non-root user
Summary: CVE-2014-0039 fwsnort: configuration file can be loaded from cwd when run as ...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-0039
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140201,repor...
Depends On: 1060603 1060604
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-03 00:31 UTC by Murray McAllister
Modified: 2019-06-08 19:53 UTC (History)
2 users (show)

Fixed In Version: fwsnort 1.6.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:31:20 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-02-03 00:31:46 UTC
When fwsnort was run as a non-root user, it opened the fwsnort.conf file from the current working directory if a configuration file was not explicitly specified. The configuration file can specify a directory to load libraries from, so this would have been an issue if running fwsnort in an attacker-controlled directory.

Michael Rash has released fwsnort-1.6.4 to fix this issue:

http://www.cipherdyne.org/fwsnort/download/
https://github.com/mrash/fwsnort/blob/master/ChangeLog

Upstream CVE-2014-0039 fix:

https://github.com/mrash/fwsnort/commit/fa977453120cc48e1654f373311f9cac468d3348

Comment 1 Murray McAllister 2014-02-03 00:33:16 UTC
Created fwsnort tracking bugs for this issue:

Affects: fedora-all [bug 1060603]
Affects: epel-all [bug 1060604]

Comment 2 Fedora Update System 2014-02-12 14:37:58 UTC
fwsnort-1.6.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-02-12 14:41:07 UTC
fwsnort-1.6.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-08-29 19:43:23 UTC
fwsnort-1.6.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:31:20 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.